using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 机票费用录入表
    /// </summary>
    [SugarTable("Grp_AirPrice")]
    public class Grp_AirPrice:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }
        /// <summary>
        /// 机票黑屏代码、询价表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int AiId { get; set; }
        /// <summary>
        /// 舱位编码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CabinCode { get; set; }
        /// <summary>
        /// 出票前单人票价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SinglePrice { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string SingleCurency { get; set; }
        /// <summary>
        /// 人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Count { get; set; }
        /// <summary>
        /// 出票前总票价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        public decimal TotalPrice { get; set; }
        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string TotalCurency { get; set; }
        /// <summary>
        /// 是否值机0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCheck { get; set; }
        /// <summary>
        /// 是否选座0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsSeat { get; set; }
        /// <summary>
        /// 是否购买行李0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsPackage { get; set; }
        /// <summary>
        /// 是否行李直挂0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsBag { get; set; }
        /// <summary>
        /// 报价说明0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string PriceRemark { get; set; }
    }
}
